# coding=utf-8

from rest_framework import serializers

from django.conf import settings

from utils.exceptions import CustomError

from apps.config.models import Config


class ConfigSerializer(serializers.ModelSerializer):

    class Meta:
        model = Config
        fields = '__all__'

    def create(self, validated_data):
        instance = super(ConfigSerializer, self).create(validated_data)
        return instance

    def update(self, instance, validated_data):
        instance = super(ConfigSerializer, self).update(instance, validated_data)
        return instance
